• Introducing XDA Computing: Discussion zones for Hardware, Software, and more!    Check it out!

SBF-files Defy and Defy+ STOCK ROMS, bootloader version-sbf-matrix

Can i delete all full defy-sbf for Android 2.1.


  • Total voters
    182
  • Poll closed .
Search This thread

walter79

Recognized Developer
Dec 18, 2006
4,103
4,624
Welcome to Defy SBF section.

Please read this :[GUIDE] Zephyrot All-in-One Defy Beginner's guide --> http://forum.xda-developers.com/showthread.php?t=1216982


Check first the version of CGXX.smg files within sbf-file before flash a new full sbf.
Only way to see if the new rom can be downgraded or not.


Depack SBF-file (MotoAndroidDepacker) and use this tool by Simplestas (post 3) : http://forum.xda-developers.com/showpost.php?p=11195138


Downloads:

Defy http://sbf.droid-developers.org/phone.php?device=27
Defy+ http://sbf.droid-developers.org/phone.php?device=28


DEFY PLUS SBF and SMG version:

"normal" Defy Eclair/Froyo builds have SMG version <=4

Only version 5 roms can downgrade to FROYO. (normal defy)

4.5.1_85 --> BL4 - CG31.smg version is 4
4.5.1_112 --> BL4 - CG31.smg version is 4
4.5.1_128 --> BL5 - CG31.smg version is 5
4.5.1-134_DFP-10 --> BL5 - CG31.smg version is 5
4.5.1-134_DFP-125 --> BL6 - CG31.smg version is 6
4.5.1-134_DFP-132 --> BL6 - CG31.smg version is 6
4.5.1-134_DFP-1321 --> BL6 - CG31.smg version is 6
4.5.1-134_DFP-132 --> BL6 - CG31.smg version is 6
4.5.1-134_DFP-137 --> BL6 - CG31.smg version is 6
4.5.1-134_DFP-139 --> BL6 - CG31.smg version is 6
4.5.1-134_DFP-146 --> BL6 - CG31.smg version is 6
4.5.1-134_DFP-161 --> BL6 - CG31.smg version is 6
4.5.1-134_DFP-188 --> BL7 - CG31.smg version is 7
4.5.1-134_DFP-231 --> BL7 - CG31.smg version is 7
4.5.1-134_DFP-2311 --> BL7 - CG31.smg version is 7
4.5.1-134_DFP-2312 --> BL7 - CG31.smg version is 7

4.5.2-51-50 --> BL6 - CG31.smg version is 6

4.5.2-109_DHT-22 --> BL5 - CG31.smg version is 5
4.5.2-109_DHT-25 --> BL6 - CG31.smg version is 6

4.5.3-63 --> BL?
4.5.3-109_DPP-6-7 --> BL5 - CG31.smg version is 5
4.5.3-109_DPP-11 --> BL5 - CG31.smg version is 5
4.5.3-109_DPP-14-17 --> BL6 - CG31.smg version is 6



!!! No downgrade for all Android 2.3.6 to FROYO or ANDROID 2.3.4 ; Use only the nandroid backup.
- root can do by patch CG39.smg + Nandroid Link and Link


Android 2.3.6 "Gingerbread" DEFY+


4.5.3-109-DPP-14 - retail china LINK

4.5.3-109-DPP-25 - taiwan deblur LINK ROOT? downgrade no! Maybe MB525(Defy) battery did not work!

4.5.2-109-DHT-22 - taiwan deblur Thread

4.5.1-134-DFP-2312 - blur LINK

4.5.1-134-DFP-2311 - ??? LINK ROOT? downgrade no! Maybe MB525(Defy) battery did not work!

4.5.1-134-DFP-231 - retail, vodafon, tmobile, O2, full Blur ROOT? downgrade no! Maybe MB525(Defy) battery did not work! Thread

4.5.1-134-DFP-188 - Tmobile blur UK Thread ROOT? downgrade no, Maybe MB525(Defy) battery did not work!

4.5.1-134-DFP-146 - vodafon blur LINK ROOT? downgrade no!

4.5.1-134-DFP-139 - retail blur LINK

4.5.1-134-DFP-139 - vodafon blur LINK

4.5.1-134-DFP-137 ???? Thread

4.5.1-134-DFP-1321 - retail-asia full Blur multilanguage Thread

4.5.1-134-DFP-132 - retail-en-de full Blur Thread

4.5.1-134-DFP-132 - O2-Germany full Blur Thread


Android 2.3.5 "Gingerbread" DEFY+


4.5.1-134-DFP-125 - CEE LINK



Android 2.3.4 "Gingerbread" !!BETA!!


!!! No downgrade for all Android 2.3.4 to FROYO ; Use only the nandroid backup.
- root can do by patch CG39.smg + Nandroid Link and Link

New GB root --> droid3root script http://www.androidpolice.com/2011/08/25/well-that-was-fast-one-click-droid-3-root-now-available/

4.5.3-109 Blur multilanguage Thread

4.5.3-66 China GB deblur only nandroid backup for red and green cameraThread

4.5.1-134 Orange GB Blur Thread (root http://forum.xda-developers.com/showpost.php?p=16770292&postcount=265)

4.5.1-128 Orange GB Blur Thread

If you unfortunately flashed full stock sbf read this for downgrade: Thread

Android 2.3.3 "Gingerbread" !!BETA!!


4.5.1-112 Orange GB Blur Thread
- root can do by patch CG39.smg + Nandroid Link and Link

4.5.1-85 Orange GB Blur Thread
- root: Link


Android 2.2.2 "Froyo"


3.4.3-36-1.7 SEA deblurThread

3.4.3-36 UAE deblur Thread

3.4.3-33 SEA Thread

3.4.3-33 HK deblur Thread

3.4.3-20 arabic deblur Thread

3.4.2-179-6.1 T-mobile GB blur Thread

3.4.2-179-6.1 T-mobile german blur Thread

3.4.2-179-4.4 Vodafon Spain blur Thread

3.4.2-179-2 CEE DEBLUR Thread

3.4.2-177-5 nordic deblur Thread

3.4.2-177-3 ITA Blur Thread

3.4.2-177-3 DACH Blur Thread

3.4.2-177-3 GB Blur Thread

3.4.2-164 France (NU, Orange, SFR) Thread

3.4.2-164 Orange France Blur Thread

3.4.2-145 Telstra Australia Blur Thread

JDGC_U6_2.13.0 China Unicom Thread/Download !!!BL6 kernel !!! (could break your flashlight)

JDGC_U6_2.10.0 China Unicom Thread/Download (could break your flashlight)

JDGC_U6_2.5.0 China Unicom edition Thread (could break your flashlight)

JDGC_U6_2.6.0 China retail edition Thread (could break your flashlight)


Android 2.2.1 "Froyo"


??? - Israel Blur Thread

3.4.3-11 UK Tmobile Blur Thread

3.4.3-3 UK Tmobile Blur Thread

3.4.2-155-2 Deblur Thread

3.4.2-145 Finnland Deblur Thread

3.4.2-131 PL Orange Deblur Thread

3.4.2-117 UK Blur Thread

3.4.2-107 TMobile US Blur Thread

3.4.2-107 Argentina (Personal, Claro)

3.4.2-107 Brazil (TIM, Retail, VIVO, Claro)

3.4.2 -74 SKTelecom Korea Blur Thread

Original China Froyo U6_0.26.0 Blur (could break your flashlight) Thread

China Blur_Version.U6_1.11.0.ME525 en.CN (could break your flashlight) Thread



How to flash sbf-file

- Download and install Motorola Defy driver
- Download and install RSD Lite
- Open RSD Lite
- Enter Bootloader Mode on you phone (Power+VolUp)
- Connect phone to you PC (USB)
- Open RSD - Lite
- Flash new SBF

If you read this during flash "Battery Low - Cannot program" read this Thread



DOWNGRADE

If you come from Android 2.1 and never flashed Android 2.2 you can use the fixed sbf-files method. With this method you will have a option to downgrade to you personal stock Android 2.1 via direct sbf flash.

- First download nandroid backup and normal sbf file of you favourite rom.

- build your own fixed sbf:

- depack sbf-file with MotoAndroidDepacker and delete cg31.smg and cg39.smg

- repack sbf-file (MotoAndroidDepacker)

- install nadroid backup

- flash repacked sbf-file (this one without cg31/cg39)

More information: http://forum.xda-developers.com/showthread.php?t=945035


If you have flashed direct Android 2.2 via sbf -->

No direct downgrade for all 3.4 Froyo beta ROMs to Android 2.1 or official Android 2.2
No direct downgrade for 2.51.1 and 2.59 Eclair
 

Attachments

  • Motodrivers131.zip
    6.3 MB · Views: 28,684
  • MotoAndroidDepacker-1.2alpha3.zip
    46.1 KB · Views: 11,465
  • RSDLite5.6.rar
    4.4 MB · Views: 35,736
  • MotoHelper_2.1.32_Driver_5.4.0.zip
    8.1 MB · Views: 7,710
  • 4.5.1-134-dfp-10-recovery-enable-flash-google-signed-zips-sbf.zip
    3.4 MB · Views: 9,905
Last edited:

chaihg

Senior Member
Nov 15, 2010
497
53
I wrote to Sorensiim about two weeks back about this project. No replies yet :(
 

walter79

Recognized Developer
Dec 18, 2006
4,103
4,624
we have one mirror.

"dear walter79, You can use my domain to host all SBF files and tools. This site is hosted at 3ix.org, it has around 150GB free space"

kzkz spent this ftp server

next week i will upload the sbf files
 
  • Like
Reactions: tienthuc

hurka11

Senior Member
Mar 18, 2010
78
9
the page for download 2.51.1 CE without blur is not working. Where can I download it. Thank you.
 

chaihg

Senior Member
Nov 15, 2010
497
53
Walter, just wanted to let you know that the And-developers site that you have posted is of no use because the files on motorola server have been moved. I tried contacting the owner of that site. I dont think that will be running again. So please delete that link, if not people will keep asking here for sbfs on that site.

Here is my copy of the 2.21 France sbf. Though not needed, dont know who will brick their phone and need it.

http://www.mediafire.com/?k0megjz5es2aelf
 

hurka11

Senior Member
Mar 18, 2010
78
9
Hi. Is there a way that I can download the Eclair 2.1 Build 2.5.1.1CE? I could't find it anywhere. Thanks
 

dirtbaghh

Member
Feb 17, 2011
31
0
System version =
Blur_Version.2.51.1MB525.retail.en.IT
firmware version =
2.1-update1
kernel =
[email protected] #1
bflex =
USAJRDNEMARAB1B8RTIT030.0R
aflex =
GAS_EMEA_USAJORDANRTIT_P044
BUild Number
JRDNEM_U3_2.51.1
that's on my "About Phone "

at the back of my defy is made in china ..

what stock rom should i use ??
is it ok if i use diferrent stock rom for my defy ?

thanks in advance !
 

walter79

Recognized Developer
Dec 18, 2006
4,103
4,624
System version =
Blur_Version.2.51.1MB525.retail.en.IT
firmware version =
2.1-update1
kernel =
[email protected] #1
bflex =
USAJRDNEMARAB1B8RTIT030.0R
aflex =
GAS_EMEA_USAJORDANRTIT_P044
BUild Number
JRDNEM_U3_2.51.1
that's on my "About Phone "

at the back of my defy is made in china ..

what stock rom should i use ??
is it ok if i use diferrent stock rom for my defy ?

thanks in advance !

Use the china froyo (Android 2.2) Rom.
 

Peglezn

Senior Member
Jan 23, 2011
91
6
Use the china froyo (Android 2.2) Rom.

he cant use china froyo ...he is on non downgradable 2.51

u can use any other 2.51 (UK,CE,FR) as a stock, your .IT version hasnt been uploaded yet (that would be the best one to flash if ud have any warranty issues)
 
Last edited:

dirtbaghh

Member
Feb 17, 2011
31
0
thanks for the reply guys i'll try the ce 2.51 stock rom without blur .....
but seems the download is not available right now !!...

2.1 Central Europe JRDNEM_U3_2.51.1 CCE:

Code:
w w w.fileserve.com/file/U6tcc7t
this file is huge
by the way is sbf file normally 300mb + or just 100 +

and what do you mean by flashing my .IT sir Peglezn

thanks again ... waiting for the ftp links sir walter i hope you can upload CE 2.51 nonblur version to mediafire

... thank again guys !!
 
Last edited:

Peglezn

Senior Member
Jan 23, 2011
91
6
by .IT i meant Blur_Version.2.51.1MB525.retail.en.IT
im guessing .IT stands for italy? ...and nobody uploaded that sbf yet.
 

dirtbaghh

Member
Feb 17, 2011
31
0
ahh ok .. hehe i'll use the CE blurless stock rom ... i just couldn't find it anywhere to download .... poor me !! hhe
 

Top Liked Posts

  • There are no posts matching your filters.
  • 107
    Welcome to Defy SBF section.

    Please read this :[GUIDE] Zephyrot All-in-One Defy Beginner's guide --> http://forum.xda-developers.com/showthread.php?t=1216982


    Check first the version of CGXX.smg files within sbf-file before flash a new full sbf.
    Only way to see if the new rom can be downgraded or not.


    Depack SBF-file (MotoAndroidDepacker) and use this tool by Simplestas (post 3) : http://forum.xda-developers.com/showpost.php?p=11195138


    Downloads:

    Defy http://sbf.droid-developers.org/phone.php?device=27
    Defy+ http://sbf.droid-developers.org/phone.php?device=28


    DEFY PLUS SBF and SMG version:

    "normal" Defy Eclair/Froyo builds have SMG version <=4

    Only version 5 roms can downgrade to FROYO. (normal defy)

    4.5.1_85 --> BL4 - CG31.smg version is 4
    4.5.1_112 --> BL4 - CG31.smg version is 4
    4.5.1_128 --> BL5 - CG31.smg version is 5
    4.5.1-134_DFP-10 --> BL5 - CG31.smg version is 5
    4.5.1-134_DFP-125 --> BL6 - CG31.smg version is 6
    4.5.1-134_DFP-132 --> BL6 - CG31.smg version is 6
    4.5.1-134_DFP-1321 --> BL6 - CG31.smg version is 6
    4.5.1-134_DFP-132 --> BL6 - CG31.smg version is 6
    4.5.1-134_DFP-137 --> BL6 - CG31.smg version is 6
    4.5.1-134_DFP-139 --> BL6 - CG31.smg version is 6
    4.5.1-134_DFP-146 --> BL6 - CG31.smg version is 6
    4.5.1-134_DFP-161 --> BL6 - CG31.smg version is 6
    4.5.1-134_DFP-188 --> BL7 - CG31.smg version is 7
    4.5.1-134_DFP-231 --> BL7 - CG31.smg version is 7
    4.5.1-134_DFP-2311 --> BL7 - CG31.smg version is 7
    4.5.1-134_DFP-2312 --> BL7 - CG31.smg version is 7

    4.5.2-51-50 --> BL6 - CG31.smg version is 6

    4.5.2-109_DHT-22 --> BL5 - CG31.smg version is 5
    4.5.2-109_DHT-25 --> BL6 - CG31.smg version is 6

    4.5.3-63 --> BL?
    4.5.3-109_DPP-6-7 --> BL5 - CG31.smg version is 5
    4.5.3-109_DPP-11 --> BL5 - CG31.smg version is 5
    4.5.3-109_DPP-14-17 --> BL6 - CG31.smg version is 6



    !!! No downgrade for all Android 2.3.6 to FROYO or ANDROID 2.3.4 ; Use only the nandroid backup.
    - root can do by patch CG39.smg + Nandroid Link and Link


    Android 2.3.6 "Gingerbread" DEFY+


    4.5.3-109-DPP-14 - retail china LINK

    4.5.3-109-DPP-25 - taiwan deblur LINK ROOT? downgrade no! Maybe MB525(Defy) battery did not work!

    4.5.2-109-DHT-22 - taiwan deblur Thread

    4.5.1-134-DFP-2312 - blur LINK

    4.5.1-134-DFP-2311 - ??? LINK ROOT? downgrade no! Maybe MB525(Defy) battery did not work!

    4.5.1-134-DFP-231 - retail, vodafon, tmobile, O2, full Blur ROOT? downgrade no! Maybe MB525(Defy) battery did not work! Thread

    4.5.1-134-DFP-188 - Tmobile blur UK Thread ROOT? downgrade no, Maybe MB525(Defy) battery did not work!

    4.5.1-134-DFP-146 - vodafon blur LINK ROOT? downgrade no!

    4.5.1-134-DFP-139 - retail blur LINK

    4.5.1-134-DFP-139 - vodafon blur LINK

    4.5.1-134-DFP-137 ???? Thread

    4.5.1-134-DFP-1321 - retail-asia full Blur multilanguage Thread

    4.5.1-134-DFP-132 - retail-en-de full Blur Thread

    4.5.1-134-DFP-132 - O2-Germany full Blur Thread


    Android 2.3.5 "Gingerbread" DEFY+


    4.5.1-134-DFP-125 - CEE LINK



    Android 2.3.4 "Gingerbread" !!BETA!!


    !!! No downgrade for all Android 2.3.4 to FROYO ; Use only the nandroid backup.
    - root can do by patch CG39.smg + Nandroid Link and Link

    New GB root --> droid3root script http://www.androidpolice.com/2011/08/25/well-that-was-fast-one-click-droid-3-root-now-available/

    4.5.3-109 Blur multilanguage Thread

    4.5.3-66 China GB deblur only nandroid backup for red and green cameraThread

    4.5.1-134 Orange GB Blur Thread (root http://forum.xda-developers.com/showpost.php?p=16770292&postcount=265)

    4.5.1-128 Orange GB Blur Thread

    If you unfortunately flashed full stock sbf read this for downgrade: Thread

    Android 2.3.3 "Gingerbread" !!BETA!!


    4.5.1-112 Orange GB Blur Thread
    - root can do by patch CG39.smg + Nandroid Link and Link

    4.5.1-85 Orange GB Blur Thread
    - root: Link


    Android 2.2.2 "Froyo"


    3.4.3-36-1.7 SEA deblurThread

    3.4.3-36 UAE deblur Thread

    3.4.3-33 SEA Thread

    3.4.3-33 HK deblur Thread

    3.4.3-20 arabic deblur Thread

    3.4.2-179-6.1 T-mobile GB blur Thread

    3.4.2-179-6.1 T-mobile german blur Thread

    3.4.2-179-4.4 Vodafon Spain blur Thread

    3.4.2-179-2 CEE DEBLUR Thread

    3.4.2-177-5 nordic deblur Thread

    3.4.2-177-3 ITA Blur Thread

    3.4.2-177-3 DACH Blur Thread

    3.4.2-177-3 GB Blur Thread

    3.4.2-164 France (NU, Orange, SFR) Thread

    3.4.2-164 Orange France Blur Thread

    3.4.2-145 Telstra Australia Blur Thread

    JDGC_U6_2.13.0 China Unicom Thread/Download !!!BL6 kernel !!! (could break your flashlight)

    JDGC_U6_2.10.0 China Unicom Thread/Download (could break your flashlight)

    JDGC_U6_2.5.0 China Unicom edition Thread (could break your flashlight)

    JDGC_U6_2.6.0 China retail edition Thread (could break your flashlight)


    Android 2.2.1 "Froyo"


    ??? - Israel Blur Thread

    3.4.3-11 UK Tmobile Blur Thread

    3.4.3-3 UK Tmobile Blur Thread

    3.4.2-155-2 Deblur Thread

    3.4.2-145 Finnland Deblur Thread

    3.4.2-131 PL Orange Deblur Thread

    3.4.2-117 UK Blur Thread

    3.4.2-107 TMobile US Blur Thread

    3.4.2-107 Argentina (Personal, Claro)

    3.4.2-107 Brazil (TIM, Retail, VIVO, Claro)

    3.4.2 -74 SKTelecom Korea Blur Thread

    Original China Froyo U6_0.26.0 Blur (could break your flashlight) Thread

    China Blur_Version.U6_1.11.0.ME525 en.CN (could break your flashlight) Thread



    How to flash sbf-file

    - Download and install Motorola Defy driver
    - Download and install RSD Lite
    - Open RSD Lite
    - Enter Bootloader Mode on you phone (Power+VolUp)
    - Connect phone to you PC (USB)
    - Open RSD - Lite
    - Flash new SBF

    If you read this during flash "Battery Low - Cannot program" read this Thread



    DOWNGRADE

    If you come from Android 2.1 and never flashed Android 2.2 you can use the fixed sbf-files method. With this method you will have a option to downgrade to you personal stock Android 2.1 via direct sbf flash.

    - First download nandroid backup and normal sbf file of you favourite rom.

    - build your own fixed sbf:

    - depack sbf-file with MotoAndroidDepacker and delete cg31.smg and cg39.smg

    - repack sbf-file (MotoAndroidDepacker)

    - install nadroid backup

    - flash repacked sbf-file (this one without cg31/cg39)

    More information: http://forum.xda-developers.com/showthread.php?t=945035


    If you have flashed direct Android 2.2 via sbf -->

    No direct downgrade for all 3.4 Froyo beta ROMs to Android 2.1 or official Android 2.2
    No direct downgrade for 2.51.1 and 2.59 Eclair
    3
    Good work Walter. I was wanting to do this myself and collected a lot of sbfs.
    Here is 2.51.1 France version of 2.1 that I stole from RSD lite ;)

    http://www.mediafire.com/?o4dckhi8bykidwm
    3
    to check fast CG39.smg content on windows, you can use this tool :

    http://www.diskinternals.com/linux-reader/

    Use the menu, mount image, then "raw image" and select the CG39.smg

    then you can browse the system content
    3
    First of all thanks walter79 for your useful thread.

    I have a question:

    let's say i'm on Eclair 2.21 France, can i simply flash a modded Finland froyo sbf and then go back to France Eclair at any time? Or do i need to flash a nandroid backup (just before flashing the froyo sbf) as described in the fritolays post?

    The fixed sbf's dont include a Froyo bootloader or the system partition. So yes you do need to restore a Finland Froyo Nandroid before the fixed sbf.

    To downgrade after this, just flash your Eclair sbf of choice. Hope this helps.
    2
    I'm uploading approximatelly 50 Defy Froyo sbfs for various carriers here: http://sbf.droid-developers.org/umts_jordan/list.php (there is update log on main page here: http://sbf.droid-developers.org ).